Bug 117634 - RFE: Investigate and possibly add PIE support to the Xorg X server
RFE: Investigate and possibly add PIE support to the Xorg X server
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: 117628 FC4Target
  Show dependency treegraph
 
Reported: 2004-03-05 19:28 EST by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-14 23:16:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2004-03-05 19:28:57 EST
Investigate adding PIE (Position Independant Executable) support
to the XFree86 X server binary included with XFree86.

PIE support for XFree86 is also being tracked in bug #117628
Comment 1 Mike A. Harris 2004-12-22 11:19:31 EST
This would likely cause major performance loss on the X server
so might not be worth it, however if we are adding PIE support
to other parts of X, it may make sense to explore the option
of building PIE support into the X server as an option to those
who may prefer the additional security over the performance.

For our OS however I believe PIE X server would be too big of a
perf hit, however it would need testing to see how big.
Comment 2 Mike A. Harris 2005-03-14 23:16:40 EST
Being tracked upstream now:

https://bugs.freedesktop.org/show_bug.cgi?id=2730

Note You need to log in before you can comment on or make changes to this bug.